org.eclipse.jgit.submodule

## Class SubmoduleStatus

- java.lang.Object
- - org.eclipse.jgit.submodule.SubmoduleStatus

    public class SubmoduleStatus
    extends Object

Status class containing the type, path, and commit id of the submodule.

### Constructor Summary

Constructors
Constructor and Description
`SubmoduleStatus(SubmoduleStatusType type, String path, ObjectId indexId)` Create submodule status
`SubmoduleStatus(SubmoduleStatusType type, String path, ObjectId indexId, ObjectId headId)` Create submodule status

### Method Summary

All Methods Instance Methods Concrete Methods
`ObjectId` `getHeadId()`
`ObjectId` `getIndexId()`
`String` `getPath()`
`SubmoduleStatusType` `getType()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SubmoduleStatus

    public SubmoduleStatus(SubmoduleStatusType type,
                           String path,
                           ObjectId indexId)

Create submodule status

Parameters:
  `type` -
  `path` -
  `indexId` -

#### SubmoduleStatus

    public SubmoduleStatus(SubmoduleStatusType type,
                           String path,
                           ObjectId indexId,
                           ObjectId headId)

Create submodule status

Parameters:
  `type` -
  `path` -
  `indexId` -
  `headId` -

### Method Detail

#### getType

    public SubmoduleStatusType getType()

Returns:
  type

#### getPath

    public String getPath()

Returns:
  path

#### getIndexId

    public ObjectId getIndexId()

Returns:
  index object id

#### getHeadId

    public ObjectId getHeadId()

Returns:
  HEAD object id